<script setup >
 import GuestLayout from '@/Layouts/GuestLayout.vue';
import { Head, Link, useForm } from '@inertiajs/vue3';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";

const props = defineProps({
    errors: Object,
    status:Object,
})

const form = useForm({
    email: null,
    password: null,
});

const submit = () => {
    form.post(route('login'), {
        onFinish: () => form.reset('password'),
        preserveScroll: true
    });
};
</script>

<template>
    <GuestLayout>
        <Head title="Вход" />
        <BackMobile/>
        <section class="auth">
            <img class="reg__background" src="/img/authBackDark.svg" alt="">
            <img class="reg__background dark" src="/img/authBack.svg" alt="">
            <div class="container">
                <div class="auth__inner">
                    <p class="auth__title">Вход</p>
                    <p class="auth__subtitle">Пожалуйста введите данные</p>
                    <form @submit.prevent="submit" class="auth__form bigMt" >
                        <input v-model="form.email" class="auth__input" type="text" placeholder="E-mail">
                        <input v-model="form.password" class="auth__input" type="password" placeholder="Пароль">
                        <p v-if="errors.length" class="auth__error">Пароль или логин не совпадают</p>
                        <p v-if="status" class="auth__error">{{ status }}</p>
                        <Link class="auth__vostPass" :href="route('password.request')">Восстановить пароль</Link>
                        <button class="auth__button button effect" type="submit">Войти</button>
                        <a class="reg__haveAcc" :href="route('register')">У меня нет аккаунта, хочу <span>зарегестрироваться</span></a>
                    </form>
                    <div class="auth__anotherAuth">
                        <a class="auth__anotherAuth-box" :href="route('authRedirect.google')">
                            <img class="auth__anotherAuth-icon" src="/img/socials/google.svg" alt="">
                            <p class="auth__anotherAuth-text">Войти с помощью Google</p>
                        </a>
                        <a class="auth__anotherAuth-box" :href="route('authRedirect.vk')"><img class="auth__anotherAuth-icon" src="/img/socials/vk.svg" alt="">
                            <p class="auth__anotherAuth-text">Войти с помощью VK</p>
                        </a>
                    </div>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>
